
Katello - Feature #35570

[RFE] Ignore SRPMs has no effect to existing SRPMs in repository

09/27/2022 01:56 PM - Richard Stempfl

Status: New   

Priority: Normal   

Assignee:    

Category: Repositories   

Target version: Katello 4.13.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases: Katello 3.4.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Steps to Reproduce:

1. sync a repo with Ignore SRPMs: off

2. sync the same repo again with Ignore SRPMs: on

Actual results:

SRPMs get no deleted

Expected results:

a repository without SRPMs

History

#1 - 09/28/2022 05:45 PM - Chris Roberts

- Category set to Repositories

- Target version set to Katello 4.7.0

- Triaged changed from No to Yes

#2 - 11/08/2022 04:55 PM - Chris Roberts

- Target version changed from Katello 4.7.0 to Katello 4.8.0

#3 - 02/23/2023 02:42 PM - Lucy Fu

- Target version changed from Katello 4.8.0 to Katello 4.9.0

#4 - 05/26/2023 07:28 PM - Ian Ballou

- Tracker changed from Bug to Feature

- Subject changed from Ignore SRPMs has no effect to existing SRPMs in repository to [RFE] Ignore SRPMs has no effect to existing SRPMs in

repository

- Target version changed from Katello 4.9.0 to Katello 4.10.0

This should not be the case for mirrored repositories, in case anyone is looking for a workaround.

#5 - 11/01/2023 05:48 PM - Chris Roberts

- Target version changed from Katello 4.10.0 to Katello 4.11.0

#6 - 12/20/2023 09:01 PM - Ian Ballou

- Target version changed from Katello 4.11.0 to Katello 4.13.0
